Package org.apache.sling.event.impl.jobs.jmx

# Class QueueMBeanImpl

java.lang.Object
javax.management.StandardMBean
org.apache.sling.event.impl.jobs.jmx.AbstractJobStatistics
org.apache.sling.event.impl.jobs.jmx.QueueMBeanImpl

All Implemented Interfaces:
  `DynamicMBean`, `MBeanRegistration`, `org.apache.sling.event.jobs.jmx.StatisticsMBean`, `org.apache.sling.event.jobs.Statistics`

public class QueueMBeanImpl extends AbstractJobStatistics
An MBean that provides statistics from

## Constructor Summary

Constructors
Constructor
Description
`QueueMBeanImpl(org.apache.sling.event.jobs.Queue queue)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`protected org.apache.sling.event.jobs.Statistics`
`getStatistics()`

### Methods inherited from class org.apache.sling.event.impl.jobs.jmx.AbstractJobStatistics

`getAverageProcessingTime, getAverageWaitingTime, getLastActivatedJobDate, getLastActivatedJobTime, getLastFinishedJobDate, getLastFinishedJobTime, getNumberOfActiveJobs, getNumberOfCancelledJobs, getNumberOfFailedJobs, getNumberOfFinishedJobs, getNumberOfJobs, getNumberOfProcessedJobs, getNumberOfQueuedJobs, getStartDate, getStartTime, reset`

### Methods inherited from class javax.management.StandardMBean

`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueueMBeanImpl

public QueueMBeanImpl(org.apache.sling.event.jobs.Queue queue)

## Method Details

### getStatistics

protected org.apache.sling.event.jobs.Statistics getStatistics()

Specified by:
  `getStatistics` in class `AbstractJobStatistics`

### getName

public String getName()